commit: c69035dc042c7255a75e4e178e5c66b6d53d18fc
Author: Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 5 15:11:03 2025 +0000
Commit: Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Thu Jun 5 15:52:50 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c69035dc
www-client/qutebrowser: add 3.5.1
Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>
www-client/qutebrowser/Manifest | 2 +
www-client/qutebrowser/qutebrowser-3.5.1.ebuild | 172 ++++++++++++++++++++++++
2 files changed, 174 insertions(+)
diff --git a/www-client/qutebrowser/Manifest b/www-client/qutebrowser/Manifest
index 50f670b0e780..563de4733f68 100644
--- a/www-client/qutebrowser/Manifest
+++ b/www-client/qutebrowser/Manifest
@@ -1,2 +1,4 @@
DIST qutebrowser-3.5.0.tar.gz 6071383 BLAKE2B
a495028e4ce764f1097b690f262d915aceb89faba585b26987364ece5687a6ca26a9c456140515e1898c897a9ebb5eb108de4a9c61fcca54e2ee5a0e1130cc78
SHA512
cae51679b059937332dc66ade6e75f108df6b39c30e8b085dba5e2b5ad5b1389d1f416273bee8b1b936b9fc51654a7626fb29a12ef9706ef5ee11209b16ad7c2
DIST qutebrowser-3.5.0.tar.gz.asc 659 BLAKE2B
9c304a96ec29cbb60295934fdb2fb091ab13774b65f707ab94fb65071dfa224f134546c8027a681fb99fd5f1bcc93481739d231d55151834ff30146ebe4a9b8c
SHA512
61e4ac6b513d14e742992bcc1d16f587c47e9d9e877ccf592cfdfeff4396d8e751b56053c6e05ab55bfc02fe3a352720cbdec6fe62f1d39a4da2c63efd1843c8
+DIST qutebrowser-3.5.1.tar.gz 6074312 BLAKE2B
3d3002994573e0287f7adc473b1aa8e0248e6addaebff828681e0e5015983e4164ddafddea5b9f07d499977ed8616ee929b00c1e19854195e7cc0b5b39759e05
SHA512
0d200081f815f181d2be82b68b7eb0bb160404f99134665b968dd95ce8630ac6ac01b23831e7dbc0741c0c7c7ccdc9fc06336f661a76a7bb51bc064389cad85f
+DIST qutebrowser-3.5.1.tar.gz.asc 659 BLAKE2B
fa8a56e4211e75726bf4466f8f84bf46aa975b9d4f1d47264e8b6c7ae67d46bb58bed768bf5db4f6e5148a32b9261cba7df9d7eb8c836f5115609787cdcaf18d
SHA512
d40bd12ab0386dbdbc7ac83053324dd3f25f2578b02f0c75391ffbe419a79e1f0b0db84b77559abb7e05025211739e327bc513088815dd85e175d5d6da1a124f
diff --git a/www-client/qutebrowser/qutebrowser-3.5.1.ebuild
b/www-client/qutebrowser/qutebrowser-3.5.1.ebuild
new file mode 100644
index 000000000000..8834acf79330
--- /dev/null
+++ b/www-client/qutebrowser/qutebrowser-3.5.1.ebuild
@@ -0,0 +1,172 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_SINGLE_IMPL=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..13} )
+inherit distutils-r1 xdg
+
+if [[ ${PV} == 9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/qutebrowser/qutebrowser.git"
+else
+ inherit verify-sig
+ SRC_URI="
+
https://github.com/qutebrowser/qutebrowser/releases/download/v${PV}/${P}.tar.gz
+ verify-sig? (
https://github.com/qutebrowser/qutebrowser/releases/download/v${PV}/${P}.tar.gz.asc
)
+ "
+ VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/qutebrowser.gpg
+ KEYWORDS="~amd64 ~arm64"
+fi
+
+DESCRIPTION="Keyboard-driven, vim-like browser based on Python and Qt"
+HOMEPAGE="https://qutebrowser.org/"
+
+LICENSE="GPL-3+"
+SLOT="0"
+IUSE="+adblock pdf widevine"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/pyqt6-webengine[${PYTHON_USEDEP},widgets]
+
dev-python/pyqt6[${PYTHON_USEDEP},dbus,gui,network,opengl,printsupport,qml,sql,widgets]
+ dev-python/colorama[${PYTHON_USEDEP}]
+ dev-python/jinja2[${PYTHON_USEDEP}]
+ dev-python/markupsafe[${PYTHON_USEDEP}]
+ dev-python/pygments[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/zipp[${PYTHON_USEDEP}]
+ dev-qt/qtbase:6[icu,sqlite]
+ adblock? ( dev-python/adblock[${PYTHON_USEDEP}] )
+ pdf? ( www-plugins/pdfjs )
+ widevine? ( www-plugins/chrome-binary-plugins )
+ ')
+"
+BDEPEND="
+ $(python_gen_cond_dep '
+ test? (
+ dev-python/pyqt6[testlib]
+ dev-python/beautifulsoup4[${PYTHON_USEDEP}]
+ dev-python/cheroot[${PYTHON_USEDEP}]
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP}]
+ dev-python/pytest-bdd[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/pytest-qt[${PYTHON_USEDEP}]
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ dev-python/pytest-xvfb[${PYTHON_USEDEP}]
+ dev-python/tldextract[${PYTHON_USEDEP}]
+ )
+ ')
+"
+
+if [[ ${PV} == 9999 ]]; then
+ BDEPEND+=" app-text/asciidoc"
+else
+ BDEPEND+=" verify-sig? ( sec-keys/openpgp-keys-qutebrowser )"
+fi
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ if use pdf; then
+ # does not hurt to enable by default if it was explicitly
requested
+ sed -e '/^content.pdfjs:/,+1s/false/true/' \
+ -i ${PN}/config/configdata.yml || die
+ fi
+
+ # let eclass handle python
+ sed -i '/setup.py/d' misc/Makefile || die
+
+ if [[ ${PV} == 9999 ]]; then
+ # call asciidoc(1) rather than the single target python module
+ sed -e '/cmdline = /s/= .*/= ["asciidoc"]/' \
+ -i scripts/asciidoc2html.py || die
+
+ "${EPYTHON}" scripts/asciidoc2html.py || die
+ fi
+
+ if use test; then
+ # skip unnecessary (for us) pytest plugins, and ignore Qt's
+ # warnings that tend to newly appear with new versions
+ sed -e '/pytest-benchmark/d' -e 's/--benchmark[^ ]*//' \
+ -e '/pytest-instafail/d' -e 's/--instafail//' \
+ -e '/qt_log_level_fail/s/WARNING/CRITICAL/' \
+ -i pytest.ini || die
+
+ if [[ ${PV} == 9999 ]]; then
+ # likewise, needs vulture
+ rm tests/unit/scripts/test_run_vulture.py || die
+ else
+ # https://github.com/qutebrowser/qutebrowser/issues/7620
+ rm tests/unit/scripts/test_problemmatchers.py || die
+ fi
+ fi
+}
+
+python_test() {
+ local -x PYTEST_QT_API=pyqt6
+
+ local EPYTEST_DESELECT=(
+ # end2end/IPC tests are broken with "Name error" if socket path
is over
+ # ~108 characters (>124 in /var/tmp/portage) due to Linux
limitations,
+ # skip rather than bother using /tmp+cleanup over ${T} (end2end
tests
+ # are important, but the other tests should be enough for
downstream)
+ tests/end2end
+ tests/unit/misc/test_ipc.py
+ # python eclasses provide a fake "failing" python2 and trips
this test
+ tests/unit/misc/test_checkpyver.py::test_old_python
+ # not worth running dbus over
+ tests/unit/browser/test_notification.py::TestDBus
+ # fails in ebuild, seems due to saving fake downloads in the
wrong location
+
tests/unit/browser/webengine/test_webenginedownloads.py::TestDataUrlWorkaround
+ # may fail if environment is very large (bug #819393)
+
tests/unit/commands/test_userscripts.py::test_custom_env\[_POSIXUserscriptRunner\]
+ # may fail if chromium version is unrecognized (aka newer
qtwebengine)
+ tests/unit/utils/test_version.py
+ # no longer XFAIL due to being fixed in python
+
tests/unit/utils/test_urlmatch.py::test_invalid_patterns\[host-ipv6-two-closing\]
+ )
+
+ local epytestargs=(
+ # prefer pytest-xvfb over virtx given same upstream and is
expected
+ -p xvfb
+ # skip warning tests broken by -Wdefault, and benchmarks
+ -k 'not _bench and not _matches_tree and not _warning'
+ # override eclass' settings, tempdirs are re-used by Qt
+ -o tmp_path_retention_policy=all
+ )
+
+ epytest "${epytestargs[@]}"
+}
+
+python_install_all() {
+ emake -f misc/Makefile DESTDIR="${D}" PREFIX="${EPREFIX}"/usr install
+
+ rm -- "${ED}"/usr/share/${PN}/scripts/{mkvenv,utils}.py || die
+ fperms -x
/usr/share/${PN}/{scripts/cycle-inputs.js,userscripts/README.md}
+ python_fix_shebang "${ED}"/usr/share/${PN}
+
+ einstalldocs
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+
+ if [[ ! ${REPLACING_VERSIONS} ]]; then
+ elog "Note that optional scripts in
${EROOT}/usr/share/${PN}/{user,}scripts"
+ elog "have additional dependencies not covered by this ebuild,
for example"
+ elog "view_in_mpv needs media-video/mpv[lua] and
net-misc/yt-dlp."
+ fi
+
+ if has_version 'dev-qt/qtwebengine:6[bindist]'; then
+ ewarn
+ ewarn "USE=bindist is set on dev-qt/qtwebengine, be warned that
this"
+ ewarn "will prevent playback of proprietary media formats (e.g.
h264)."
+ fi
+}